<?php
namespace Oreolek\Downloader;

use Illuminate\Support\ServiceProvider;
use Oreolek\Downloader\Downloader;
class DownloaderServiceProvider extends ServiceProvider{
  /**
   * Register bindings in the container.
   *
   * @return void
   */
  public function register()
  {
    $this->app->singleton(Downloader::class, function($app) {
      return new Downloader();
    });
  }

  /**
   * Get the services provided by the provider.
   *
   * @return array
   */
  public function provides()
  {
    return [Downloader::class];
  }
}
